Bug 1314594 - Libvirt should reject to rename a domain in saved status.
Libvirt should reject to rename a domain in saved status.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libvirt (Show other bugs)
7.3
x86_64 Linux
medium Severity medium
: rc
: ---
Assigned To: Peter Krempa
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-03 20:59 EST by Fangge Jin
Modified: 2016-11-03 14:38 EDT (History)
3 users (show)

See Also:
Fixed In Version: libvirt-1.3.3-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-03 14:38:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fangge Jin 2016-03-03 20:59:29 EST
Description of problem:
Do managedsave for a running domain, then rename the domain, and start it again, guest will start freshly instead of starting from the saved status.

Version-Release number of selected component (if applicable):
libvirt-1.3.2-1.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
0.Start a guest
# virsh start rhel7.2
Domain rhel7.2 started

1. Do managedsave:
# virsh managedsave rhel7.2

Domain rhel7.2 state saved by libvirt

# ls /var/lib/libvirt/qemu/save/rhel7.2.save
/var/lib/libvirt/qemu/save/rhel7.2.save


2. Rename the domain
# virsh domrename rhel7.2 new
Domain successfully renamed

3. Start guest again
# virsh start new
Domain new started

Check guest OS booting process, it doesn't boot from the state it's saved.

4.
# ls /var/lib/libvirt/qemu/save/rhel7.2.save
/var/lib/libvirt/qemu/save/rhel7.2.save

Actual results:
Guest will start freshly instead of starting from the saved status after renaming

Expected results:
Libvirt should reject to rename a domain in saved status.
Comment 2 Peter Krempa 2016-03-07 04:19:24 EST
Fixed upstream:

commit 47fdf9bc3a823e21baa6fc8c504dfc3e97c560d9
Author: Peter Krempa <pkrempa@redhat.com>
Date:   Mon Mar 7 10:06:19 2016 +0100

    qemu: rename: Forbid renaming domains with managed save image
    
    The code does not handle renaming of the save state file. In addition to
    that the resuming code would need to be tweaked to handle the name
    change since the XML is extracted from the save image. The easies option
    is to make the rename API even less useful by forbiding this.

v1.3.2-67-g47fdf9b
Comment 3 Mike McCune 2016-03-28 19:19:36 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 5 Fangge Jin 2016-04-11 05:09:40 EDT
Verify pass on build libvirt-1.3.3-1.el7.x86_64:

Steps:
1. # virsh list --all
 Id    Name                           State
----------------------------------------------------
 6     rhel7.2-1030                   running
2. # virsh managedsave 6
3. # virsh domrename rhel7.2-1030 rhel7.2-new
error: Requested operation is not valid: domain with a managed saved state can't be renamed
4. # virsh list --all
 Id    Name                           State
----------------------------------------------------
 -     rhel7.2-1030                   shut off
Comment 7 errata-xmlrpc 2016-11-03 14:38:55 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2577.html

Note You need to log in before you can comment on or make changes to this bug.